%define major		1
%define libname		%mklibname %{name} %{major}
%define libname_s	%mklibname %{name}-server %{major}
%define devname		%mklibname %{name} -d

Name:		kdsoap
Version:	1.10.0
Release:	%mkrel 1
Summary:	Qt based client-side and server-side SOAP component
Group:		System/Libraries
# The entire source code is the GPLv3 expect libkdsoap-server which is AGPLv3
License:	GPLv3 and AGPLv3
Url:		https://www.kdab.com/products/kd-soap
Source0:	https://github.com/KDAB/KDSoap/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		kdsoap-1.10.0-mkspecs_features-dir.patch

BuildRequires:	kf5-macros
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	cmake(Qt5Widgets)

%description
Qt based client-side and server-side SOAP component.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt based client-side and server-side SOAP component
Group:		System/Libraries

%description -n %{libname}
Qt based client-side and server-side SOAP component.

#------------------------------------------------------------------------------

%package -n %{libname_s}
Summary:	Qt based client-side and server-side SOAP component
Group:		System/Libraries

%description -n %{libname_s}
Qt based client-side and server-side SOAP component.

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the Qt based client-side and server-side SOAP component
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_s} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Qt based client-side and server-side
SOAP component.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.txt
%license LICENSES/*
%{_libdir}/libkdsoap.so.%{major}{,.*}

%files -n %{libname_s}
%doc README.txt
%license LICENSES/*
%{_libdir}/libkdsoap-server.so.%{major}{,.*}

%files -n %{devname}
%doc %{_docdir}/KDSoap/
%{_bindir}/kdwsdl2cpp
%{_includedir}/KDSoapClient/
%{_includedir}/KDSoapServer/
%{_libdir}/*.so
%{_libdir}/cmake/KDSoap/
%{_qt5_archdatadir}/mkspecs/features/kdsoap.prf
%{_qt5_archdatadir}/mkspecs/modules/qt_KDSoapClient.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_KDSoapServer.pri


%changelog
* Thu Dec 24 2020 daviddavid <daviddavid> 1.10.0-1.mga8
+ Revision: 1663441
- new version: 1.10.0

* Thu Dec 17 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1658688
- Rebuild for new Qt5

* Wed Oct 21 2020 daviddavid <daviddavid> 1.9.1-1.mga8
+ Revision: 1637524
- new version: 1.9.1

* Sat Apr 18 2020 daviddavid <daviddavid> 1.9.0-2.mga8
+ Revision: 1568795
- split out the kdsoap-server library in his own sub-pkg
- fix libraries pkg name

* Sat Apr 18 2020 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1568762
- initial package kdsoap

